org.eclipse.jetty.plus.annotation

## Class PostConstructCallback

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.LifeCycleCallback
  - - org.eclipse.jetty.plus.annotation.PostConstructCallback

-     public class PostConstructCallback
      extends LifeCycleCallback

  PostConstructCallback

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

      `__EMPTY_ARGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostConstructCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callback(java.lang.Object instance)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `validate(java.lang.Class<?> clazz, java.lang.reflect.Method method)` Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static

    - ### Methods inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

      `findMethod, getMethodName, getTarget, getTargetClass, getTargetClassName, setTarget, setTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostConstructCallback

          public PostConstructCallback()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.Class<?> clazz,
                      java.lang.reflect.Method method)

      Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static
      Specified by:
        `validate` in class `LifeCycleCallback`
      See Also:
        `LifeCycleCallback.validate(java.lang.Class, java.lang.reflect.Method)`

    - #### callback

          public void callback(java.lang.Object instance)
                        throws java.lang.SecurityException,
                               java.lang.IllegalArgumentException,
                               java.lang.NoSuchMethodException,
                               java.lang.ClassNotFoundException,
                               java.lang.IllegalAccessException,
                               java.lang.reflect.InvocationTargetException

      Overrides:
        `callback` in class `LifeCycleCallback`
      Throws:
        `java.lang.SecurityException`
        `java.lang.IllegalArgumentException`
        `java.lang.NoSuchMethodException`
        `java.lang.ClassNotFoundException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `LifeCycleCallback`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.